address {pbdZMQ} | R Documentation

## Form an Address/Endpoint

### Description

A notationally convenient function for forming addresses/endpoints. It's a simple wrapper around the `paste0()` function.

### Usage

    address(host, port, transport = "tcp")

### Arguments

`host` | The host ip address or url.
`port` | A port; necessary for all transports except ipc.
`transport` | The transport protocol. Choices are "inproc", "ipc", "tcp", and "pgm"/"epgm" for local in-process (inter-thread), local inter-process, tcp, and pgm, respectively.

### Value

An address, for use with pbdZMQ functions.

### Author(s)

Drew Schmidt

### See Also

`zmq.bind`

### Examples

    address("localhost", 55555)

[Package pbdZMQ version 0.2-4 Index]